## game-data-packager 84

=== debian/changelog ===
game-data-packager (84) unstable; urgency=medium

  * Bug fixes:
    - civctp: Fix the build [Sébastien Noel]
    - rune, smac, soldier-of-fortune:
      Improve packaging structure and generated dependencies on
      .deb-based distributions [Sébastien Noel, smcv]
      + The rune and soldier-of-fortune metapackages are now
        Architecture: i386, matching the proprietary binaries they need
      + The smac metapackage is still Architecture: all so that its Python
        dependencies can work, but it depends on the i386-only smac-bin
        package in a more robust way
    - smac: Generate appropriate dependencies on Arch and Fedora [smcv]
  * Debian packaging:
    - Re-upload to unstable after NEW processing [smcv]

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Feb 2025 14:46:50 +0000

game-data-packager (83) experimental; urgency=medium

  * Internal changes:
    - Build binary-compatibility shims for older binary-only games
      as part of this source package (the lokishim/ directory),
      instead of building them when affected game data is packaged.
      This makes it easier to detect and fix bugs in the shim code,
      for example when it fails to compile with an updated compiler.
      [Sébastien Noel]
    - lokishim: Silence compiler warnings for unused arguments [smcv]
    - build: Only require a C compiler when actually building shims [smcv]
    - doc/adding_a_game.mdwn: Describe how developers can build for i386
      on Debian amd64 without always needing to go through the packaging
      workflow [smcv]
  * Debian packaging:
    - d/control: Add a game-data-packager-libs binary package for the
      binary-compatibility shims. This is currently i386-only, but is
      structured so that it could become Multi-Arch: same if we find
      that similar binary-compatibility shims are required for amd64
      games in future. [Sébastien Noel]
    - d/copyright.in: Update [smcv]
    - d/control: Fix a typo detected by Lintian [smcv]
    - d/g-d-p.lintian-overrides: Silence a Lintian false positive [smcv]
    - Release to experimental for NEW processing [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Feb 2025 15:11:18 +0000

game-data-packager (82) unstable; urgency=medium

  * New versions:
    - hexen2: add music packages (CD & GOG.com rip) [Sébastien Noel]
    - icewind-dale-1: add French version [Sébastien Noel]
    - unreal: Add authorized ISO images from the Internet Archive.
      These make our Unreal Classic and Unreal Gold packages fully
      free-to-download (but redistribution is still not allowed). [smcv]
    - ut99: Add details of authorized UT:GOTY ISO image from the
      Internet Archive. Unfortunately we can't currently build packages
      from this, because the maps use proprietary compression. [smcv]
  * Bug fixes:
    - civctp, kohan, smac: Make lokishim compile successfully with
      gcc 14 [Sébastien Noel]
    - hexen2: use latest game-data (1.29b) from the uHexen2 project,
      earlier versions are gone [Sébastien Noel] (Closes: #1090800)
    - railroad-tycoon2: fix checksum for a file from an undamaged
      original cd [Sébastien Noel]
    - unreal: Fix building packages without the Return to Na Pali addon
      [smcv]
    - unreal: Deduplicate Textures/MenuGr.utx into unreal-data [smcv]
  * Debian packaging:
    - d/control: update list of supported games [Sébastien Noel]

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Feb 2025 12:39:51 +0000

=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
 David Banks <amoebae@gmail.com>,
 Jack Coulter <jscinoz@gmail.com>,
 Jonathan Dowland <jmtd@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 bash-completion,
 dbus-daemon,
 debhelper-compat (= 13),
 dh-apparmor,
 dh-sequence-cruft,
 dh-sequence-python3,
 imagemagick,
 inkscape (>= 1.0~),
 meson (>= 0.61.0),
 python3:any,
 python3-debian,
 python3-yaml:any,
 xmlstarlet,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
Homepage: https://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python3-debian,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 game-data-packager-runtime (>= ${source:Version}),
Suggests:
 7zip,
 arj,
 binutils,
 cabextract,
 cdparanoia,
 dynamite,
 gcc,
 gdebi | gdebi-kde,
 gir1.2-gdkpixbuf-2.0,
 innoextract,
 lame,
 lgc-pg,
 lgogdownloader,
 lhasa | jlha-utils | lzh-archiver,
 make,
 pkexec,
 python3-gi,
 python3-omg,
 python3-pil,
 steam-installer | steam-launcher,
 steamcmd,
 unace-nonfree,
 unar,
 unrar,
 unshield,
 unzip,
 vorbis-tools,
 xdelta,
 xdelta3,
 xorriso,
Breaks:
 game-data-packager-runtime (<< ${source:Version}),
Architecture: all
Multi-Arch: foreign
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building .deb
 files for:
 .
  * 3 Skulls of the Toltecs
  * The 7th Guest
  * A Mind Forever Voyaging
  * Alex the Allegator 4
  * Aliens versus Predator
  * Amazon: Guardians of Eden
  * Arthur: the Quest for Excalibur
  * Arx Fatalis
  * Baldur's Gate 1 and 2
  * Ballyhoo
  * Bargon Attack
  * Beavis and Butthead in Virtual Stupidity
  * The Bizarre Adventures of Woodruff and the Schnibble
  * The Black Cauldron
  * The Blackwell series
  * Blade Runner
  * Blake Stone and Planet Strike
  * Blue Force
  * Border Zone
  * Bud Tucker in Double Trouble
  * Castle of Dr. Brain and The Island of Dr. Brain
  * Broken Sword
  * Bureaucracy
  * Caesar 3
  * Chex Quest and Chex Quest 2
  * Chivalry is Not Dead
  * Civilization: Call to Power
  * Codename: ICEMAN
  * Commander Keen 1 to 6
  * Conquests of Camelot: The Search for the Grail
  * Conquests of the Longbow: The Legend of Robin Hood
  * Cruise for a Corpse
  * Cutthroats
  * Deadline
  * Descent 1, 2 and 3
  * Detective Gallo
  * The Dig
  * Discworld 1 and 2
  * Doom, The Ultimate Doom, Doom 2, The Master Levels for Doom 2, Final Doom
  * Doom 3 and BFG Edition
  * Dračí Historie
  * Dreamweb
  * Duke Nukem 1 and 3D
  * Dune 2: Battle for Arrakis
  * EcoQuest 1 and 2
  * The Elder Scrolls 3: Morrowind
  * Elvira 1 and 2
  * Enchanter
  * Enclosure
  * Eye of the Beholder 1 and 2
  * The Feeble Files
  * Flashback
  * Flight of the Amazon Queen
  * Freddy Pharkas: Frontier Pharmacist
  * Freespace 2
  * Full Throttle
  * Future War (Les Voyageurs du Temps)
  * Gabriel Knight 1 and 2
  * Gemini Rue
  * Gobliiins 1, 2 and 3
  * Gold Rush!
  * The Griffon Legend
  * Grim Fandango
  * HacX
  * Hank's Quest
  * Heavy Gear 2
  * Heretic, Hexen, Hexen 2 and Heretic 2
  * Heroes of Might & Magic 2 and 3
  * The Hitchhiker's Guide to the Galaxy
  * Hollywood Hijinx
  * Homeworld
  * Hopkins FBI
  * Hoyle's Official Book of Games
  * Hugo's House of Horrors, Hugo 2, Hugo 3
  * I Have No Mouth, and I Must Scream
  * Icewind Dale 1 and 2
  * Indiana Jones and the Fate of Atlantis
  * Indiana Jones and the Last Crusade
  * Infidel
  * Inherit the Earth
  * Ion Fury
  * Jazz Jackrabbit
  * James Clavell's Shōgun
  * Jones in the Fast Lane
  * Journey: Part One of the Golden Age Trilogy
  * Kathy Rain
  * King's Quest 1 to 7
  * Kohan: Immortal Sovereigns
  * The Labyrinth of Time
  * Lands of Lore: The Throne of Chaos
  * Laura Bow 1 and 2
  * Leather Goddesses of Phobos 1 and 2
  * Legend of Kyrandiar 1, 2 and 3
  * Leisure Suit Larry 1, 2, 3, 5, 6 and 7
  * LGeneral (Panzer General)
  * Lighthouse: The Dark Being
  * Little Big Adventure
  * The Longest Journey
  * Loom
  * Lost in Time
  * The Lurking Horror
  * The Manhole
  * Manhunter 1 and 2
  * Maniac Mansion and Day of the Tentacle
  * Marathon 1, 2 and 3
  * Master Of Orion
  * Medal of Honor: Allied Assault
  * Mixed-Up Mother Goose & Mixed-Up Fairy Tales
  * Monkey Island 1, 2 and 3
  * Moonmist
  * Mortville Manor
  * Myst: Masterpiece Edition, Riven, Myst III
  * Mystery House
  * The Neverhood
  * Nippon Safes Inc.
  * Nord and Bert Couldn't Make Head or Tail of It
  * Once Upon A Time: Little Red Riding Hood
  * Operation Stealth
  * Pajama Sam series
  * Personal Nightmare
  * Phantasmagoria 1 and 2
  * Planescape: Torment
  * Planetfall
  * Plundered Hearts
  * Police Quest 1 to 4
  * Postal
  * Prey
  * Primordia
  * Quadrilateral Cowboy
  * Quake, Quake 2, Quake 3 Arena, Quake 4, Enemy Territory: Quake Wars
  * Quest For Glory 1, 2 and 3
  * Railroad Tycoon 2
  * Redneck Rampage
  * Resonance
  * Rex Nebular and the Cosmic Gender Bender
  * Ringworld 1 and 2
  * Rise of the Triad
  * Rodney's Funscreen
  * Roller Coaster Tycoon 1 and 2
  * Rune
  * Sam & Max Hit the Road
  * Seastalker
  * Serious Sam: The First and Second Encounter
  * The Settlers 2
  * Sfinx
  * Shadow Warrior
  * Shardlight
  * The Lost Files of Sherlock Holmes: The Case of the Serrated Scalpel
  * The Lost Files of Sherlock Holmes: The Case of the Rose Tattoo
  * Sherlock: The Riddle of the Crown Jewels
  * The Shivah
  * Sid Meier's Alpha Centauri
  * SimCity 3000 Unlimited
  * Simon the Sorcerer 1, 2 and Puzzle Pack
  * Slater & Charlie Go Camping
  * Soldier of Fortune
  * Soltys
  * Sorcerer
  * Space Quest 1 to 6
  * Spellbreaker
  * Star Wars: Dark Forces
  * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
  * Starcross
  * Starship Titanic
  * Stationfall
  * Strife
  * Suspect
  * Suspended
  * Syndicate
  * System Shock
  * Super 3D Noah's Ark
  * Technobabylon
  * TeenAgent
  * Theme Hospital
  * Thimbleweed Park
  * Tomb Raider 1
  * Tony Tough and the Night of Roasted Moths
  * Toonstruck
  * Torin's Passage
  * Touché: The Adventures of the Fifth Musketeer
  * Transport Tycoon Deluxe
  * Trinity
  * Troll's Tale
  * Tyrian
  * Ultima IV & VII
  * Unreal, Unreal Gold and Unreal Tournament (1999 and 2004)
  * Urban Runner
  * Waxworks
  * Ween: The Prophecy
  * Winnie the Pooh in the Hundred Acre Wood
  * Wishbringer
  * Witness
  * Wolfenstein 3D, Spear of Destiny and Return to Castle Wolfenstein
  * Wolfenstein: Enemy Territory
  * X-COM: UFO Defense
  * Zak McKracken and the Alien Mindbenders
  * Zork 1, 2 and 3, Beyond Zork, Zork Zero, Return to Zork, Zork: The
    Undiscovered Underground
  * Zork Grand Inquisitor and Zork Nemesis

Package: etqw
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 etqw-bin | game-data-packager,
 game-data-packager-runtime (>= ${source:Version}),
 ${misc:Depends},
Recommends:
 libasound2-plugins | pipewire-alsa,
 pulseaudio | pipewire-alsa,
 pulseaudio | pipewire-audio,
Suggests:
 etqw-pb-bin,
Description: science-fiction-themed multiplayer first person shooter
 Enemy Territory: Quake Wars is a multiplayer first-person shooter game
 by Splash Damage and id Software, released in 2007.
 This package contains a launcher script and menu entry to play
 ETQW using the proprietary x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: etqw-server
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 etqw-bin | game-data-packager,
 etqw-data | game-data-packager,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 systemd-sysv,
Suggests:
 etqw-pb-bin,
Description: dedicated server for Enemy Territory: Quake Wars
 This package contains a launcher script and systemd unit to run a
 Enemy Territory: Quake Wars server using the proprietary
 x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To mitigate any security flaws that might exist in this server,
 the systemd unit is not enabled by default, and must be enabled
 with systemctl if it should start at boot time. The systemd unit
 uses various security hardening options to prevent the server from
 escalating its privileges. There is no sysvinit script,
 since sysvinit does not provide similar security hardening.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: game-data-packager-runtime
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-gtk-4.0,
 gir1.2-pango-1.0,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Architecture: all
Multi-Arch: foreign
Description: Launcher for proprietary games
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 Some of the games supported by game-data-packager need to be
 started by a special launcher script that will create symbolic
 links or do other setup. This package contains those launcher
 scripts.
 .
 The following games currently require this package:
 .
  * Doom 2: The Master Levels (doom2-masterlevels-wad)
  * Quake series and Enemy Territory: Quake Wars
    (quake, quake2, quake3, quake4, etqw)
  * Return to Castle Wolfenstein (rtcw)
  * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
    (openjk-outcast, openjk-academy)
  * Unreal, Unreal Gold and Unreal Tournament
    (unreal-classic, unreal-gold, ut99)

Package: game-data-packager-runtime-libs
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 game-data-packager-runtime (>= ${source:Version}),
Description: Helper libraries required by legacy i386 binary-only games
 Some old binary-only games released by Loki Entertainment for Linux 2.4
 in 1999-2001 requires library compatibility workarounds to run on modern
 systems.
 .
 This package is required if you want to play any of these games:
 .
  * Civilization: Call to Power
  * Kohan: Immortal Sovereigns
  * Sid Meier's Alpha Centauri
  * SimCity 3000 Unlimited

Package: quake
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 game-data-packager-runtime (>= ${source:Version}),
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine,
 ${misc:Depends},
Suggests:
 quake-armagon (>= 29),
 quake-armagon-music,
 quake-dissolution (>= 29),
 quake-dissolution-music,
 quake-dopa (>= 45),
 quake-music,
Description: classic gothic/horror-themed first person shooter
 Quake is a classic first-person shooter game by id Software,
 released in 1996. This package contains a launcher script and menu
 entry to play Quake with any suitable engine.
 .

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
export DH_OPTIONS

include /usr/share/dpkg/pkg-info.mk

%:
	mkdir -p $(HOME)
	dh $@ --with bash-completion --buildsystem=meson

# Redirect Inkscape log files, etc. to a temporary directory
export HOME = $(CURDIR)/debian/temp-home
export XDG_CACHE_HOME = $(CURDIR)/debian/temp-home/.cache
export XDG_CONFIG_HOME = $(CURDIR)/debian/temp-home/.config
export XDG_DATA_HOME = $(CURDIR)/debian/temp-home/.local/share
# Disable tests that are not appropriate at build-time
export DEB_BUILD_TIME_TESTS = 1

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		--bindir=games \
		-Dgamedatadir=share/games \
		$(NULL)

override_dh_auto_build:
	dbus-run-session -- dh_auto_build \
		-- \
		$(NULL)

execute_after_dh_auto_clean:
	@if [ "`echo *.deb`" != "*.deb" ]; then \
		echo; \
		echo "*************************************************"; \
		echo "Cannot create source package with these here:"; \
		ls *.deb; \
		echo "*************************************************"; \
		echo; \
		exit 1; \
	fi
	debian/copyright.py

execute_after_dh_install:
	if dpkg-vendor --derives-from Ubuntu; then \
		install -d debian/game-data-packager/usr/share/games/game-data-packager; \
		touch debian/game-data-packager/usr/share/games/game-data-packager/is-ubuntu-derived; \
	fi
	dh_apparmor -pgame-data-packager-runtime --profile-name=usr.lib.unreal
	dh_apparmor -pquake4 --profile-name=usr.lib.quake4.quake4.x86
	dh_apparmor -pquake4-server --profile-name=usr.lib.quake4.q4ded.x86

override_dh_installdocs:
	dh_installdocs -XTODO

override_dh_installsystemd:
	dh_installsystemd -pquake4-server --no-enable --no-start
	dh_installsystemd -petqw-server --no-enable --no-start
	dh_installsystemd --remaining-packages

execute_after_dh_python3:
	dh_python3 -pquake-server /usr/share/games/quake
	dh_python3 -pquake2-server /usr/share/games/quake2
	dh_python3 -pquake3-server /usr/share/games/quake3
	dh_python3 -pquake4-server /usr/share/games/quake4
	dh_python3 -petqw-server /usr/lib/etqw

## game-data-packager 85.1

=== debian/changelog ===
game-data-packager (85.1) unstable; urgency=medium

  * Bug fixes:
    - runtime: Ensure that the installation directory is present in
      sys.path (Closes: #1096186) [smcv]
    - Never unpack the same entry from a stream more than once
      (Closes: #1052371) [smcv]
    - When unpacking a stream, ignore wanted files we already found [smcv]
    - When unpacking a stream, don't remove from the list of files we
      expect to find until after we have checked their content [smcv]
    - When unpacking a stream, make sure each unpacked file gets a unique
      temporary name [smcv]
    - Adjust a generated Lintian override to accommodate both old and new
      syntaxes [smcv]
  * Internal changes:
    - Add a regression test for #1052371 [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 03 May 2025 16:43:46 +0100

game-data-packager (85) unstable; urgency=medium

  * New versions:
    - mohaa: add GOG installer files [Sébastien Noel]
  * Debian packaging:
    - Don't provide a D-Bus session bus to run Inkscape, avoiding a crash
      with an uncaught Gio::DBus::Error (Closes: #1102099) [Santiago Vila]
    - Set environment variables to stop Inkscape's dependencies from
      connecting to D-Bus [smcv]
    - Drop build-dependency on dbus-daemon, no longer needed [smcv]
    - Wrap the build with xvfb-run, because Inkscape now expects an X11 or
      Wayland display even when running non-interactively [smcv]
    - Standards-Version: 4.7.2 (no changes required) [smcv]
    - Apply full compiler hardening [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Apr 2025 14:21:55 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  bash-completion,
- dbus-daemon,
  debhelper-compat (= 13),
  dh-apparmor,
  dh-sequence-cruft,
@@ -21,10 +20,12 @@
  python3:any,
  python3-debian,
  python3-yaml:any,
+ xauth,
  xmlstarlet,
+ xvfb,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
 Homepage: https://wiki.debian.org/Games/GameDataPackager

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 #export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DH_OPTIONS
 
 include /usr/share/dpkg/pkg-info.mk
@@ -17,6 +18,18 @@
 export XDG_DATA_HOME = $(CURDIR)/debian/temp-home/.local/share
 # Disable tests that are not appropriate at build-time
 export DEB_BUILD_TIME_TESTS = 1
+# Turn off features of Inkscape and its dependencies that would normally
+# try to connect to the D-Bus session bus
+export DBUS_SESSION_BUS_ADDRESS=invalid:
+export GIO_USE_MEMORY_MONITOR=none
+export GIO_USE_NETWORK_MONITOR=netlink
+export GIO_USE_PORTALS=0
+export GIO_USE_POWER_PROFILE_MONITOR=none
+export GIO_USE_VFS=local
+export GIO_USE_VOLUME_MONITOR=unix
+export GSETTINGS_BACKEND=memory
+export GTK_USE_PORTAL=0
+unexport XDG_RUNTIME_DIR
 
 override_dh_auto_configure:
 	dh_auto_configure \
@@ -25,10 +38,9 @@
 		-Dgamedatadir=share/games \
 		$(NULL)
 
+# Inkscape expects an X11 or Wayland display
 override_dh_auto_build:
-	dbus-run-session -- dh_auto_build \
-		-- \
-		$(NULL)
+	xvfb-run -a -s "-screen 0 1024x768x24" dh_auto_build
 
 execute_after_dh_auto_clean:
 	@if [ "`echo *.deb`" != "*.deb" ]; then \

## game-data-packager 86

=== meson_options.txt ===
# SPDX-FileCopyrightText: 2022 Simon McVittie
# SPDX-License-Identifier: FSFAP

option(
  'bash_completion_dir',
  type : 'string',
  description : 'install bash completion script in this directory',
  value : '',
)
option(
  'distro',
  type : 'string',
  description : 'Linux distribution family [default: automatic]',
  value : '',
)
option(
  'format',
  type : 'string',
  description : 'Default format for output packages [default: automatic]',
  value : '',
)
option(
  'gamedatadir',
  type : 'string',
  description : 'Base directory for game data, e.g. share/games [default: same as datadir]',
  value : '',
)
option(
  'program_prefix',
  type : 'string',
  description : 'Prepend string to program names',
)
option(
  'non_multiarch_libdir',
  type : 'string',
  description : 'non multiarch libdir directory',
  value : 'lib',
)

=== debian/changelog ===
game-data-packager (86) unstable; urgency=medium

  * New games:
    - Diablo, for use with the devolutionx engine [Sébastien Noel]
  * New versions:
    - doom: Sigil 1.23 [Sébastien Noel]
  * Enhancements and bug fixes:
    - caesar3: Mark German version as missing [Alexandre Detiste]
    - civctp: Configure sdl12-compat to list common full-screen video modes
      as windowed modes, if sufficiently new (currently only 1.2.69 git
      snapshots implement this) [Sébastien Noel]
    - hhgg: Download from Zarf's archive instead of douglasadams.com
      (Closes: #1114590)
    - larry7: Fix an incorrect file list [Alexandre Detiste]
    - postal1: Add support for Postal 1 to the launcher [Sébastien Noel]
    - postal1: Don't install POSTAL.INI [Sébastien Noel]
    - quake2: Stop building native-code game modules for official mission
      packs; these are included in yamagi-quake2{,-core} since Debian 13
      and Ubuntu 24.04 [Simon McVittie]
    - quake3: Add compatibility with newer ioquake3 engines, which migrate
      from ~/.q3a to ~/.config/Quake3, ~/.local/share/Quake3,
      ~/.local/state/Quake3. The demo still uses ~/.q3ademo. [Simon McVittie]
    - Tag some games with their genre [Sébastien Noel]
    - make-template: fix output if a file is named with trailing space
      [Sébastien Noel]
    - Set environment variables to stop Inkscape's dependencies from
      connecting to D-Bus in the upstream build system, not just the
      Debian packaging [Simon McVittie]
  * Debian packaging:
    - Centralize i386 audio Recommends into game-data-packager-runtime-libs,
      and make all i386 binary-only games depend on it [Simon McVittie]
    - Suggest nvidia-driver-libs:i386 for i386 binary-only games
      [Simon McVittie]
    - Drop "Rules-Requires-Root: no" which is the default since Debian 13
      [Alexandre Detiste]
  * Internal changes:
    - Re-enable piuparts on Salsa-CI [Sébastien Noel]
    - launcher: Replace 'fake_cdrom_path' with a generic 'extra_env' dict
      [Sébastien Noel]
    - REUSE: convert to current format [Simon McVittie]
    - build: Require Meson 1.7.0 (Debian 13) [Simon McVittie]

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 09:54:39 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  dh-sequence-python3,
  imagemagick,
  inkscape (>= 1.0~),
- meson (>= 0.61.0),
+ meson (>= 1.7.0),
  python3:any,
  python3-debian,
  python3-yaml:any,
@@ -24,7 +24,6 @@
  xmlstarlet,
  xvfb,
  zip,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
@@ -295,11 +294,8 @@
 Depends:
  etqw-bin | game-data-packager,
  game-data-packager-runtime (>= ${source:Version}),
+ game-data-packager-runtime-libs (>= ${source:Version}),
  ${misc:Depends},
-Recommends:
- libasound2-plugins | pipewire-alsa,
- pulseaudio | pipewire-alsa,
- pulseaudio | pipewire-audio,
 Suggests:
  etqw-pb-bin,
 Description: science-fiction-themed multiplayer first person shooter
@@ -316,6 +312,10 @@
  etqw-bin, and etqw-data.
  Creating those packages requires data files from an "Enemy Territory:
  Quake Wars" installation or DVD.
+ .
+ Additional i386 libraries are required for sound and accelerated graphics
+ on some systems. Please see the game-data-packager-runtime-libs package's
+ description for details.
 
 Package: etqw-server
 Architecture: i386
@@ -394,36 +394,28 @@
  ${shlibs:Depends},
 Recommends:
  game-data-packager-runtime (>= ${source:Version}),
+ libasound2-plugins | pipewire-alsa,
+ pulseaudio | pipewire-alsa,
+ pulseaudio | pipewire-audio,
+Suggests:
+ nvidia-driver-libs,
 Description: Helper libraries required by legacy i386 binary-only games
- Some old binary-only games released by Loki Entertainment for Linux 2.4
- in 1999-2001 requires library compatibility workarounds to run on modern
- systems.
- .
- This package is required if you want to play any of these games:
- .
-  * Civilization: Call to Power
-  * Kohan: Immortal Sovereigns
-  * Sid Meier's Alpha Centauri
-  * SimCity 3000 Unlimited
-
-Package: quake
-Architecture: all
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- game-data-packager-runtime (>= ${source:Version}),
- quake-registered | quake-shareware | game-data-packager,
- quakespasm | quake-engine,
- ${misc:Depends},
-Suggests:
- quake-armagon (>= 29),
- quake-armagon-music,
- quake-dissolution (>= 29),
- quake-dissolution-music,
- quake-dopa (>= 45),
- quake-music,
-Description: classic gothic/horror-themed first person shooter
- Quake is a classic first-person shooter game by id Software,
- released in 1996. This package contains a launcher script and menu
- entry to play Quake with any suitable engine.
- .
+ This package provides Recommends and Suggests on some libraries that are
+ required for 32-bit games on some systems, but not required on others.
+ .
+ For accelerated graphics:
+ .
+  * On systems that use Mesa graphics drivers, no additional graphics
+    drivers are needed: libglx-mesa0:i386 should have been installed
+    automatically by games that require it.
+  * On systems that use the Nvidia proprietary graphics driver, please
+    install nvidia-driver-libs:i386.
+ .
+ For sound:
+ .
+  * On systems that use pipewire for sound, such as default GNOME
+    desktop installations since Debian 12, please install
+    pipewire-alsa:i386.
+  * On systems that use the pulseaudio, jackd1 or jackd2 sound servers,
+    please install libasound2-plugins:i386.
+ .

=== debian/rules ===
--- 
+++ 
@@ -18,18 +18,6 @@
 export XDG_DATA_HOME = $(CURDIR)/debian/temp-home/.local/share
 # Disable tests that are not appropriate at build-time
 export DEB_BUILD_TIME_TESTS = 1
-# Turn off features of Inkscape and its dependencies that would normally
-# try to connect to the D-Bus session bus
-export DBUS_SESSION_BUS_ADDRESS=invalid:
-export GIO_USE_MEMORY_MONITOR=none
-export GIO_USE_NETWORK_MONITOR=netlink
-export GIO_USE_PORTALS=0
-export GIO_USE_POWER_PROFILE_MONITOR=none
-export GIO_USE_VFS=local
-export GIO_USE_VOLUME_MONITOR=unix
-export GSETTINGS_BACKEND=memory
-export GTK_USE_PORTAL=0
-unexport XDG_RUNTIME_DIR
 
 override_dh_auto_configure:
 	dh_auto_configure \

=== debian/tests/control ===
Tests: check-equivalence
Depends: game-data-packager
Restrictions: allow-stderr, x-gdp-memory-hungry

Tests: check-syntax deb hashed-file rpm umod
Depends: game-data-packager
Restrictions: allow-stderr

Tests: download-shareware
Depends: game-data-packager
Restrictions: allow-stderr, needs-internet

Tests: integration
Depends: @builddeps@, game-data-packager, python3-gi, zip
Restrictions: allow-stderr, build-needed

Tests: destructive
Depends: @builddeps@, game-data-packager, pkexec | policykit-1, python3-gi, sudo, zip
Restrictions: allow-stderr, build-needed, isolation-machine, needs-sudo

## game-data-packager 87

=== debian/changelog ===
game-data-packager (87) unstable; urgency=medium

  * New versions:
    - doom3: Support the GOG releases, both "Classic" and BFG Edition
      [Adam Robinson]
    - quake2: Detect the GOG release [Adam Robinson]
    - quake4: Support the GOG release [Adam Robinson]
    - ut99: Update to 469e [Sébastien Noel, Simon McVittie]
  * Enhancements and bug fixes:
    - launcher: Add missing mappings from language code to its name for
      English (UK), Hebrew, Japanese, Korean and Portuguese (Brazil),
      needed for discworld2, flight-of-the-amazon-queen, arx-fatalis, etqw
      and grimfandango respectively (Closes: #1119924) [Simon McVittie]
    - heavy-gear2: add a music package, ripping audio from the CD
      [Sébastien Noel]
    - keen6: Add support for v1.5 [Sébastien Noel]
    - rott: Prefer the taradino engine [Simon McVittie]
    - various games: Use alternatives to ftp.3drealms.com [Sébastien Noel]
    - various games: Fix GOG URLs [Adam Robinson]
    - build: Fix spurious warnings "x should have provided y but did not"
      [Simon McVittie]
  * Internal changes:
    - runtime: fix "DeprecationWarning: Gtk.Widget.show is deprecated"
      [Alexandre Detiste]
    - Start adding test coverage for parts of gdp-launcher [Simon McVittie]

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Dec 2025 16:44:14 +0000
